<?php
namespace Getresponse\WordPress;

defined( 'ABSPATH' ) || exit;

/**
 * Class OrdersMap
 * @package Getresponse\WordPress
 */
class OrdersMap {

	/**
	 * @param string $store_id
	 * @param string $gr_order_id
	 * @param int $woocommerce_order_id
	 *
	 */
	public function add_order( $store_id, $gr_order_id, $woocommerce_order_id ) {
		global $wpdb;

		$sql = "
		INSERT INTO ".$wpdb->prefix ."gr_orders_map 
			(`store_id`, `gr_order_id`, `woocommerce_order_id`) 
		VALUES 
		(%s, %s, %s)
		";

		$wpdb->query($wpdb->prepare($sql, array($store_id, $gr_order_id, $woocommerce_order_id)));
	}

	/**
	 * @param string $store_id
	 * @param int $woocommerce_order_id
	 *
	 * @return string
	 */
	public function get_gr_order_id( $store_id, $woocommerce_order_id ) {

		global $wpdb;

		$sql = "
		SELECT `gr_order_id` FROM ".$wpdb->prefix ."gr_orders_map WHERE `store_id` = %s AND `woocommerce_order_id` = %s
		";

		return $wpdb->get_var($wpdb->prepare($sql, array($store_id, $woocommerce_order_id)));
	}
}
