<?php
namespace Getresponse\WordPress;

defined( 'ABSPATH' ) || exit;

/**
 * Class ProductsMap
 * @package Getresponse\WordPress
 */
class ProductsMap {

	/**
	 * @param string $store_id
	 * @param string $gr_product_id
	 * @param int $product_id
	 *
	 */
	public function add_product( $store_id, $gr_product_id, $product_id ) {

		global $wpdb;

		$sql = "
		INSERT INTO ".$wpdb->prefix ."gr_products_map 
			(`store_id`, `gr_product_id`, `woocommerce_product_id`) 
		VALUES 
		(%s, %s, %d)
		";

		$wpdb->query($wpdb->prepare($sql, array($store_id, $gr_product_id, $product_id)));
	}

	/**
	 * @param string $store_id
	 * @param int $product_id
	 *
	 * @return bool
	 */
	public function get_gr_product_id( $store_id, $product_id ) {
		global $wpdb;

		$sql = "
		SELECT `gr_product_id` FROM ".$wpdb->prefix ."gr_products_map WHERE `store_id` = %s AND `woocommerce_product_id` = %s
		";

		return $wpdb->get_var($wpdb->prepare($sql, array($store_id, $product_id)));
	}

	/**
	 * @param int $store_id
	 * @param string $gr_product_id
	 *
	 * @return null|string
	 */
	public function get_product_by_gr_id($store_id, $gr_product_id) {
		global $wpdb;

		$sql = "
		SELECT `woocommerce_variant_id` FROM ".$wpdb->prefix ."gr_products_map WHERE `store_id` = %s AND `gr_variant_id` = %s
		";

		return $wpdb->get_var($wpdb->prepare($sql, array($store_id, $gr_product_id)));
	}
}
