<?php
namespace Getresponse\WordPress;

defined( 'ABSPATH' ) || exit;

/**
 * Class VariantsMap
 * @package Getresponse\WordPress
 */
class VariantsMap {

	/**
	 * @param int $store_id
	 * @param int $variant_id
	 * @param string $gr_variant_id
	 *
	 */
	public function add_variant( $store_id, $variant_id, $gr_variant_id ) {
		global $wpdb;

		$sql = "
		INSERT INTO ".$wpdb->prefix ."gr_variants_map 
			(`store_id`, `woocommerce_variant_id`, `gr_variant_id`) 
		VALUES
		(%s, %s, %s)
		";

		$wpdb->query($wpdb->prepare($sql, array($store_id, $variant_id, $gr_variant_id)));
	}

	/**
	 * @param string $store_id
	 * @param int $variant_id
	 *
	 * @return string
	 */
	public function get_gr_variant_id( $store_id, $variant_id ) {

		global $wpdb;

		$sql = "
		SELECT `gr_variant_id` FROM ".$wpdb->prefix ."gr_variants_map WHERE `store_id` = %s AND `woocommerce_variant_id` = %s
		";

		return $wpdb->get_var($wpdb->prepare($sql, array($store_id, $variant_id)));
	}
}
