<?php
namespace Getresponse\WordPress;

defined( 'ABSPATH' ) || exit;

/**
 * Class DbValidator
 * @package Getresponse\WordPress
 */
class DbValidator {

	/**
	 * Check, if all required tables exists in database.
	 */
	public function validate_db_tables() {
		global $wpdb;

        $missing_tables = array();

		foreach (gr()->db->plugin_tables as $table) {
            $sql = "show tables like '" . $wpdb->prefix . $table . "'";
            $exists = $wpdb->get_row( $sql );

            if (NULL === $exists) {
                $missing_tables[] =  '<strong>'.$wpdb->prefix . $table.'</strong>';
            }
        }

        if (0 === count($missing_tables)) {
            return;
        } else if (1 === count($missing_tables)) {
            gr()->add_error_message('The plugin didn\'t install properly (the table '.$missing_tables[0].' is missing).<br /> Try reinstalling it. If the problem persists, contact our <a href="">Support Team</a>.');
        } else {
            gr()->add_error_message('The plugin didn\'t install properly. The tables '.join(' and ', $missing_tables).' are missing.<br /> Try reinstalling it. If the problem persists, contact our <a href="">Support Team</a>.');

        }
	}
}
